Manual inheritance and membership

Public Member Functions | Protected Attributes | List of all members
Vehicle Struct Reference

Vehicle type. More...

Inheritance diagram for Vehicle:

## Public Member Functions
void | vehicleStart (Vehicle *obj)
void | vehicleStop (Vehicle *obj)

## Protected Attributes
Object | base
| Base class.

## Additional Inherited Members
Static Public Member Functions inherited from Object
static Object * | objRef (Object *obj)
static Object * | objUnref (Object *obj)

## Detailed Description

Vehicle type.

Vehicle class.

## Member Function Documentation

## ◆ vehicleStart()

void vehicleStart | ( | Vehicle * | obj | ) |

Starts the vehicle.

## ◆ vehicleStop()

void vehicleStop | ( | Vehicle * | obj | ) |

Stops the vehicle.

The documentation for this struct was generated from the following file:

- manual.c